import template from './cc-image-upload.template.html';

class controller {

	constructor($scope, Upload) {
		'ngInject';
		this.$scope = $scope;
		this.Upload = Upload;
		this.info = {};
	}

	/**
	 * [$onInit description]
	 * @return {[type]} [description]
	 */
	$onInit() {
		this.$scope.$watch('$ctrl.iFile', (nV, oV) => {
			if(typeof nV == 'undefined' || nV === oV) {
				return;
			}
			console.log('Fichero para subir', this.iFile);
			// Se cancela
			if(! nV){
				this.showPreview = false;
				return;
			}

			// Se añade fichero
			this.showPreview = true;

			this.info = {
				name: this.iFile.name
			};
		});
	}

	/**
	 * [upload description]
	 * @return {[type]} [description]
	 */
	upload() {
		this.Upload.upload({
			url: 'http://tuandco.dev/upload/product-image',
			data: { file: this.iFile }
		}).then( (resp) => {
			this.message = 'Fichero subido:: ' + resp.data.path;
			this.path = resp.data.path;
			this.error = false;
			console.log('Success ' + resp.config.data.file.name + 'uploaded. Response: ' + resp.data);
		}, (resp) => {
			console.log('Error status: ' + resp.data);
			this.error = 'Error status: ' + resp.data.error;
		}, (evt) => {
			var progressPercentage = parseInt(100.0 * evt.loaded / evt.total);
			console.log(evt, 'progress: ' + progressPercentage + '% ' + evt.config.data.file.name);
			this.message = `Progeso ${progressPercentage}%`;
		});
	}
}


export default {
	controller,
	template,
	bindings: {
		path: '=?'
	}
};