import template from  './seller-user-form.template.html';


class controller {

	constructor(Restangular) {
		'ngInject';
		this.Restangular = Restangular;
	}

	/**
	 * [save description]
	 * @return {[type]} [description]
	 */
	save(user) {
		console.log('saving user ', user);
		if(! user.hasOwnProperty('seller_id') || user.seller_id == null) {
			console.error('El usuario no tiene seller asignado', user);
			return;
		}

		this.REST = this.Restangular.all('sellers/'+user.seller_id+'/users');
		this.REST
			.post(user)
			.then( (seller) => {
				console.log('Guardado!', seller);
				this.errors = null;
				this.seller = seller;
			}, (errors) => {
				console.log('error', errors);
				this.errors = errors.data;
			});
	}

	/**
	 * Devuelve true si hay alún mensaje de error
	 * para el tipo de campo que se está solicitando
	 *
	 * @param  {[type]}  key [description]
	 * @return {Boolean}     [description]
	 */
	hasError(key) {
		return (this.errors) ? this.errors.hasOwnProperty(key) : false;
	}
}

export default {
	template,
	controller,
	bindings: {
		user: '<?'
	}
}