import Api from './base-api.service';

export default class extends Api {

    constructor($http, $q, API_URL)  {
        'ngInject';
        super($http, $q, API_URL);
        super.setEntity('sellers');
    }

    /**
     * Inventario del seller
     * @param  {[type]} id     [description]
     * @param  {Array}  params [description]
     * @return {[type]}        [description]
     */
    inventory(id, filter = []) {
    	return this.$http({
            url: this.url('/id/inventory?' + $.param({ filter })),
        }).then( (response) => { return response.data });
    }
}