let key = 'views';

export default class {
	constructor(localStorageService) {
		'ngInject';
		this.localStorageService = localStorageService;
	}

	/**
	 * [all description]
	 * @return {[type]} [description]
	 */
	all(refresh = false) {
		if(! this.views || refresh) {
			this.views =  this.localStorageService.get(key);
		}

		return this.views;
	}

	/**
	 * [save description]
	 * @todo puede que hay conflictos al guardar porqué los nombres
	 * tienen espacios. Mirar de crar una clave slug en vez del nombre directamente
	 *
	 * @param  {[type]} name   [description]
	 * @param  {[type]} config [description]
	 * @return {[type]}        [description]
	 */
	save(name, config) {
		// console.log('save view', name, config);
		let views = this.all();
		if(! views) {
			views = {};
		}
		// sobreescribe si existe
		views[name] = config;
		this.localStorageService.set(key, views);
	}

	/**
	 * [get description]
	 * @param  {[type]} name [description]
	 * @return {[type]}      [description]
	 */
	get(name) {
		return this.localStorageService.get(name);
	}

	/**
	 * [remove description]
	 * @param  {[type]} name [description]
	 * @return {[type]}      [description]
	 */
	remove(name) {
		let views = this.all();
		delete(views[name]);
		this.localStorageService.set(key, views);
	}

}