class SellerDashboardDemoController {
	constructor($http) {
		'ngInect';
		this.$http = $http;
		this.message = '';
		// this.apiUrl = 'https://marketplace.tuandco.com/api/v1';
		this.apiUrl = 'http://tuandco.dev/sellercentral/v1';
	}

	$onInit() {
		this.loadLastsProducts();
	}

	loadLastsProducts() {
		this.$http
			.get({
				url: this.apiUrl + '/products?' + $.param({order: this.order, filter: this.filter}),
			})

	}

	refreshInventory() {
		this.loadLastsProducts();
	}

	/**
	 * [loadJobs description]
	 * @return {[type]} [description]
	 */
	loadJobs() {
		console.log('loading jobs...');
		this.$http
				.get('http://tuandco.dev/api/v1/import-jobs')
				.then( (res) => {
					this.jobs = res.data.data;
				});
	}

}

angular.module('DemoApp'). controller('SellerDashboardDemoController', SellerDashboardDemoController);