let template = `
<div class="card">
	<a ng-click="$ctrl.refresh()" class="btn btn-secondary btn-sm pull-right">refresh</a>
	<div class="card-block"></div>
</div>
`;

/**
 * @todo añadir estado de carga
 */
class controller{
	constructor($http, $element) {
		'ngInject';
		this.$http = $http;
		this.$element = $element;
	}

	/**
	 * [$onInit description]
	 * @return {[type]} [description]
	 */
	$onInit()  {
		this.content = this.$element.find('.card-block');
		console.log(this.content);
		this.refresh();
	}

	/**
	 * [refresh description]
	 * @return {[type]} [description]
	 */
	refresh() {
		this.$http.get(this.url)
			.then( (res) => {
				this.content.removeClass('alert-danger').html( res.data );
			}, (error) => {
				console.error(error);
				this.content.addClass('alert-danger').html(error.data);
			});

	}
}

export default {
	template,
	controller,
	bindings: {
		url: '<'
	}
};