import CardComponent from './components/cc-card/cc-card.component';
import SellerForm from './components/seller-form/seller-form.component';
import ProductForm from './components/product-form/product-form.component';
import GridComponent from './components/cc-grid/cc-grid.component';
import ManagerComponent from './components/cc-manager/cc-manager.component';
import SellerUserForm from './components/seller-user-form/seller-user-form.component';
import ImageUploadComponent from './components/cc-image-upload/cc-image-upload.component';
import AttributeGroupEditorComponent from './components/attribute-group-editor/attribute-group-editor.component';

angular.module('tuandco-marketplace.components')
	.component('ccCard', CardComponent)
	.component('ccSellerForm', SellerForm)
	.component('ccProductForm', ProductForm)
	.component('ccGrid', GridComponent)
	.component('ccManager', ManagerComponent)
	.component('ccSellerUserForm', SellerUserForm)
	.component('ccImageUpload', ImageUploadComponent)
	.component('ccAttributeGroupEditor', AttributeGroupEditorComponent)
;