import Api from './base-api.service';

export default class extends Api{

	constructor($http, $q, API_URL)  {
        'ngInject';
        super($http, $q, API_URL);
        super.setEntity('products');
    }

	/**
	 * Conjunto de atributos de un producto
	 *
	 * @param  {[type]} id [description]
	 * @return {[type]}    [description]
	 */
	getAttributeGroup(id) {
		let url = this.url(`products/${id}/attribute-group`);
		let deferred = this.$q.defer();

		this.$http
			.get(url)
			.then( (response) => {
				deferred.resolve(response.data);
			},
			(error) => {
				deferred.reject(error);
			});

		return deferred.promise;
	}

}
