module.exports = function () {

	// var bowerDirectory = './public/bower_components/';
	var resourcesDir = './';
	var jsBaseDir = resourcesDir + 'app/';
	var sassBaseDir = resourcesDir + 'sass/';
	var viewsDir = resourcesDir + 'views/';
	var publicDir = 'dist/';

	// Bower dependencies including dev dependencies
	// var bowerFiles = require('wiredep')({devDependencies:true})['js'];

	var config = {
		// js: [
		// 	jsBaseDir + '**/*.module.js',
		// 	jsBaseDir + '**/*.js',
		// 	'!' + jsBaseDir + '**/*.spec.js'
		// ],
		// jsBuild: [ 
		// 	publicDir + 'js/**/*.js', 
		// 	'!' + publicDir + 'js/all.js', 
		// 	'!' + publicDir + 'js/vendor.js' 
		// ],
		jsBaseDir: jsBaseDir,
		js: jsBaseDir + '**/*.js',
		jsBuild: publicDir + 'js',
		css: publicDir + 'css/app.css',
		cssDir: publicDir + 'css',
		sassDir: sassBaseDir,
		sass: sassBaseDir + '**/*.scss',
		index: viewsDir + 'main.blade.php',
		public: publicDir,
		views: viewsDir,

		/**
		 * Test
		 */
		specHelpers: resourcesDir + 'assets/test/helpers/**/*.js',

		// /**
		//  * Bower and NPM locations
		//  */
		// bower: {
		// 	json: require('./bower.json'),
		// 	directory: bowerDirectory,
		// 	ignorePath: '../../public'
		// }
	};


	// // Inject
	// config.getWiredepDefaultOptions = getWiredepDefaultOptions; 

	// Karma
	config.karma = getKarmaOptions();

	return config;

	////////////////////////////////////
	function getWiredepDefaultOptions() {
		var options = {
			bowerJson: config.bower.json,
			directory: config.bower.directory,
			ignorePath: config.bower.ignorePath,
			onPathInjected: function(fileObject) {
				console.log('Path injected', fileObject);
			},
			onMainNotFound: function(pkg) {
				console.log('onMainNotFound'); 
			}
		};
		return options;
	};

	function getKarmaOptions(){
		var options = {
			files: [].concat(				
				// bowerFiles,
				// config.specHelpers,
				// jsBaseDir + '**/*.module.js',
				// jsBaseDir + '**/*.js',
				config.jsBuild + '**/*.js',
				// Mocks
				'node_modules/angular-mocks/angular-mocks.js',
				// Tests
				jsBaseDir + '**/*.spec.js'
			)
		};

		return options;
	}
};